# lp_struct Struct Reference

`#include <dylp.h>`

List of all members.

## Public Attributes
dyphase_enum | phase
lpret_enum | lpret
double | z
double | inactzcorr
struct {
dyphase_enum active
dyphase_enum next
bool init_pse
bool init_dse
} | simplex
double | infeas
int | infeascnt
struct {
int ndx
double ratio
} | ubnd
struct {
bool installed
int infcnt
int infvars_sze
int * infvars
double * p1obj
double * p2obj
} | p1obj
struct {
struct {
int loadable
int unloadable
} cons
struct {
int loadable
int unloadable
} vars
bool forcedfull
} | sys
struct {
int iters
int pivs
} | tot
struct {
int iters
int pivs
} | p1
struct {
int iters
int pivs
} | p2
struct {
int iters
int pivs
} | d2
bool | pivok
bool | prev_pivok
struct {
int etas
int pivs
int dinf
} | basis
int | degen
int | degenpivcnt
int | idlecnt
struct {
double piv
double cd
double vd
double fp
double fd
} | lastz
struct {
double norm1
double norm2
double max
int maxndx
} | prim
struct {
double norm1
double norm2
double max
int maxndx
} | dual

## Detailed Description

Definition at line 1550 of file dylp.h.

## Member Data Documentation

dyphase_enum lp_struct::phase

Definition at line 1551 of file dylp.h.

lpret_enum lp_struct::lpret

Definition at line 1552 of file dylp.h.

double lp_struct::z

Definition at line 1553 of file dylp.h.

double lp_struct::inactzcorr

Definition at line 1554 of file dylp.h.

dyphase_enum lp_struct::active

Definition at line 1555 of file dylp.h.

dyphase_enum lp_struct::next

Definition at line 1556 of file dylp.h.

bool lp_struct::init_pse

Definition at line 1557 of file dylp.h.

bool lp_struct::init_dse

Definition at line 1558 of file dylp.h.

struct { ... } lp_struct::simplex

double lp_struct::infeas

Definition at line 1559 of file dylp.h.

int lp_struct::infeascnt

Definition at line 1560 of file dylp.h.

int lp_struct::ndx

Definition at line 1561 of file dylp.h.

double lp_struct::ratio

Definition at line 1562 of file dylp.h.

struct { ... } lp_struct::ubnd

bool lp_struct::installed

Definition at line 1563 of file dylp.h.

int lp_struct::infcnt

Definition at line 1564 of file dylp.h.

int lp_struct::infvars_sze

Definition at line 1565 of file dylp.h.

int* lp_struct::infvars

Definition at line 1566 of file dylp.h.

double* lp_struct::p1obj

Definition at line 1567 of file dylp.h.

double* lp_struct::p2obj

Definition at line 1568 of file dylp.h.

struct { ... } lp_struct::p1obj

int lp_struct::loadable

Definition at line 1569 of file dylp.h.

int lp_struct::unloadable

Definition at line 1570 of file dylp.h.

struct { ... } lp_struct::cons

struct { ... } lp_struct::vars

bool lp_struct::forcedfull

Definition at line 1573 of file dylp.h.

struct { ... } lp_struct::sys

int lp_struct::iters

Definition at line 1574 of file dylp.h.

int lp_struct::pivs

Definition at line 1575 of file dylp.h.

struct { ... } lp_struct::tot

struct { ... } lp_struct::p1

struct { ... } lp_struct::p2

struct { ... } lp_struct::d2

bool lp_struct::pivok

Definition at line 1582 of file dylp.h.

bool lp_struct::prev_pivok

Definition at line 1583 of file dylp.h.

int lp_struct::etas

Definition at line 1584 of file dylp.h.

int lp_struct::dinf

Definition at line 1586 of file dylp.h.

struct { ... } lp_struct::basis

int lp_struct::degen

Definition at line 1587 of file dylp.h.

int lp_struct::degenpivcnt

Definition at line 1588 of file dylp.h.

int lp_struct::idlecnt

Definition at line 1589 of file dylp.h.

double lp_struct::piv

Definition at line 1590 of file dylp.h.

double lp_struct::cd

Definition at line 1591 of file dylp.h.

double lp_struct::vd

Definition at line 1592 of file dylp.h.

double lp_struct::fp

Definition at line 1593 of file dylp.h.

double lp_struct::fd

Definition at line 1594 of file dylp.h.

struct { ... } lp_struct::lastz

double lp_struct::norm1

Definition at line 1595 of file dylp.h.

double lp_struct::norm2

Definition at line 1596 of file dylp.h.

double lp_struct::max

Definition at line 1597 of file dylp.h.

int lp_struct::maxndx

Definition at line 1598 of file dylp.h.

struct { ... } lp_struct::prim

struct { ... } lp_struct::dual

The documentation for this struct was generated from the following file:

- /home/coin/svn-release/DyLP-1.9.5/DyLP/src/Dylp/dylp.h

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines